autofs-5.1.0-beta1 - fix map format init in lookup_init()

From: Ian Kent <ikent@redhat.com>

is_format_amd is not initialized in modules/lookup_ldap.c:lookup_init()
which can cause it to be incorrect leading to a failure to locate a
base dn.
---
 CHANGELOG             |    1 +
 modules/lookup_ldap.c |    1 +
 2 files changed, 2 insertions(+)

diff --git a/CHANGELOG b/CHANGELOG
index fd8878f..2589217 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -13,6 +13,7 @@
 - fix out of order amd timestamp lookup.
 - fix ldap default schema config.
 - fix ldap default master map name config.
+- fix map format init in lookup_init().
 
 28/03/2014 autofs-5.0.9
 =======================
diff --git a/modules/lookup_ldap.c b/modules/lookup_ldap.c
index c9541ed..8091ed2 100644
--- a/modules/lookup_ldap.c
+++ b/modules/lookup_ldap.c
@@ -1647,6 +1647,7 @@ int lookup_init(const char *mapfmt, int argc, const char *const *argv, void **co
 	/* If a map type isn't explicitly given, parse it like sun entries. */
 	if (mapfmt == NULL)
 		mapfmt = MAPFMT_DEFAULT;
+	is_amd_format = 0;
 	if (!strcmp(mapfmt, "amd")) {
 		is_amd_format = 1;
 		ctxt->format = MAP_FLAG_FORMAT_AMD;
